zoom tool bar GETPOINT commands

Discussion in 'AutoCAD' started by john coon, May 17, 2004.

  1. john coon

    john coon Guest

    Hi Guys, I need some help.

    I have a problem in a routine that selects different blocks from a comboxBox
    to built the markings for a runway. I'm using the getpoint utility to select
    the location I want the block to be inserted. Here is where the problems
    comes in. If after selecting the "select location" button to identify where
    to place the block IF the user uses the autocad tool bar ZOOM select by
    window the program blows-up. If you use any typing method it seems to work
    fine. 'z (pick,pick)

    From what I can tell it is using the same Getpoint and that's why it
    blows-up. is that right?

    ? How do I get around the getpoint and are there other command like this I
    should look out for.

    As always thanks, Have a great day.
    John Coon

    varDataPnt = ThisDrawing.Utility.GetPoint(, "Select insert point: ")
    Dim insertionPnt(0 To 2) As Double
    insertionPnt(0) = varDataPnt(0)
    insertionPnt(1) = varDataPnt(1)
    varDataPnt(2) = elevValue

    Dim objBlockRef As AcadBlockReference
    Set objBlockRef = ThisDrawing.ModelSpace.InsertBlock(varDataPnt, blockname,
    1#, 1#, 1#, dblRot)
    ThisDrawing.ActiveLayer = currLayer
    objBlockRef.Update
     
    john coon, May 17, 2004
    #1
  2. john coon

    Jeff Mishler Guest

    Hi John,
    This is a known problem that has been fixed in 2004+, or so I've heard. The
    workaround is to use the GetXX class or dll that Frank Oquendo wrote. It
    used to be at AcadX.com but I'll post the zip file in customer files for
    you.

    Jeff
     
    Jeff Mishler, May 17, 2004
    #2
  3. john coon

    Anne Brown Guest

    Jeff -

    Size limitation on attachments is 1 meg. If your file wasn't
    zipped to lower size (if zipping lowers it), please do so and
    post again.
     
    Anne Brown, May 17, 2004
    #3
  4. john coon

    Jeff Mishler Guest

    Hi Anne,
    I thought that the customer-files group supported larger files. I know that
    it used to. If this has been changed it will severly limit the files that we
    can post, especially since most drawings these days are >1meg after zipping.

    As for zipping, it is a zip file. And FWIW, here's the error message

    Outlook Express could not post your message. Subject 'File test', Account:
    'discussion.autodesk.com', Server: 'discussion.autodesk.com', Protocol:
    NNTP, Server Response: '441 Articles may not be larger than 1572864 bytes',
    Port: 119, Secure(SSL): No, Server Error: 441, Error Number: 0x800CCCA9

    ....my zip file is 1,492,062 bytes .....

    Thanks,
    Jeff
     
    Jeff Mishler, May 17, 2004
    #4
  5. john coon

    Anne Brown Guest

    Jeff -

    I will pass on your post to the rest of the web team. The current
    limit is 1 meg extended to all discussion groups not just
    customer files.

    I urge anyone with either problems or kudos for the discussion
    groups to post a note here -
    http://usa.autodesk.com/adsk/servlet/item?siteID=123112&id=3710077.
    It goes directly to those who manage the groups.

    Anne
     
    Anne Brown, May 17, 2004
    #5
  6. john coon

    john coon Guest

    Jeff,

    I was in the process of looking at several programs I wanted to update to
    2005 when I remembered the getpoint problem I had. I was not aware of the
    fix in 2004 because I have not done any vb in 2004 or 2005 yet because my
    company has yet to load them because they want to wait for civil3D and avoid
    some of the training cost for these in-between releases.

    I have 2004 & 2005 loaded at home so I'll test them in those releases and
    see if the issue was resolved.

    I too was under the same assumption about the uploads. 1 meg limit unless in
    the customer files area.

    Thanks as always & have a great day,

    John
     
    john coon, May 18, 2004
    #6
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.